- entityDefinitions:
  - IDC_ControlTransactionMethod: "{BF73CEAC-F972-46E8-BFA1-7807F39F1B91}" # 1$8
  - IDC_ProcessUpdatesMethod: "{f042c68d-8187-4dd6-93fa-7119bb949a16}" # 1$11
  - IDC_GetAttributeMethod: "{c3ecf8c9-597f-417b-ad65-fae0401719c6}" # 1$12
  - IDC_PerformSystemRoutineMethod: "{8a882eb4-3126-4a45-bfb3-5b61a32cac9d}" # 1$13
  - IDC_GetReferencedAttributeMethod: "{9205c54e-921a-484c-9be2-3d3deb877474}" # 1$18
  - IDC_SelectFromInstanceSetMethod: "{130637B4-17A7-4394-8F4D-E83A79114E6C}" # 1$19
  - IDC_AssignRelationshipMethod: "{3791fc36-3c5c-4ba0-83f4-70c050fa33a7}" # 1$25
  - IDC_GetReferencedInstanceSetMethod: "{bcfd0d64-3eba-4a97-9622-f3a960877d24}" # 1$26
  - IDC_BuildElementMethod: "{c8f25550-0895-4e05-b4a0-f319a7ffcc4c}" # 1$29
  - IDC_BuildAttributeMethod: "{e5879955-0093-48c8-8042-813168578af2}" # 1$30
  - IDC_CalculateNumericMethod: "{0f1ab8e8-c718-4842-a26c-989472141d61}" # 1$35

  # GSI - Get Specified Instances Method
  # Equivalent to YP: `static function $verb$name() : $returnType = $inst`
  - IDC_GetSpecifiedInstancesMethod: "{7794c7d0-b15d-4b23-aa40-63bb3d1f53ac}" # 1$40

  - IDC_GetInstanceSetFromParametersMethod: "{8072241b-4eb7-428c-9f7f-30bece5cfb76}" # 1$51
  - IDC_SelectAttributeMethod: "{87e9133e-d2a4-4390-9a7b-4f35f080932c}" # 1$52
  - IDC_ProcessRelatedUpdatesMethod: "{2953e698-03c5-4752-a1eb-cbbfa8f13905}" # 1$54
  - IDC_BuildUIResponseMethod: "{b05bbf07-7a4f-4701-ae53-e7ecc60bd2c8}" # 1$62
  - IDC_GetElementFromParametersMethod: "{279c7f2f-fb78-4594-9e34-5274bf54c401}" # 1$63
  - IDC_GetAttributeFromParametersMethod: "{0d794000-15ba-4782-a57a-ff9374d7a202}" # 1$64
  - IDC_GetInstanceSetBySystemRoutineMethod: "{7bdc53a1-81f0-458d-96f4-5637e6e1cf49}" # 1$65
  - IDC_GetAttributeBySystemRoutineMethod: "{9d45eb8c-1fb5-4260-a69c-f99a8f7a70b8}" # 1$66
  - IDC_GetElementBySystemRoutineMethod: "{321e2391-4ebb-4954-9a7e-8dc01a3a1151}" # 1$67
  - IDC_UpdateBySystemRoutineMethod: "{dfdf1541-90c8-415a-b4f3-6e87dd037e12}" # 1$68
  - IDC_AssignAttributeMethod: '{3312A789-3B7A-4478-B329-4FF781504F9C}' # 1$73
  - IDC_CompareInstanceSetsMethod: "{dc69c998-9cea-430e-95bb-1fff6ac99f2e}" # 1$91
  - IDC_CalculateDateMethod: "{1e58e284-56eb-42b4-88b9-e0a691559fa6}" # 1$92
  - IDC_EvaluateConditionsMethod: "{07ed4ef4-eba6-4fc7-aecb-b5f566e584bd}" # 1$94
  - IDC_SpawnInternalMessageMethod: "{71f97720-3ffc-4998-bd93-5cf2f578d9b9}" # 1$169
  - IDC_BuildWebServiceResponseMethod: "{17e44960-87ed-48aa-a5ac-3f70322b9455}" # 1$171
  - IDC_GetReferencedElementMethod: "{7b46b5d7-0130-44c9-9c7a-89e693369cc7}" # 1$197
  - IDC_GetRelationshipMethod: "{d53c9232-89ef-4cca-8520-261da6787450}" # 1$207
  - IDC_InvokeWebServiceMethod: "{26d9e733-50a0-49f7-9b2c-2142934e3952}" # 1$208
  - IDC_GetInstancesMethod: '{0a379314-9d0f-432d-ae59-63194ab32dd3}' # 1$393
  - IDC_InstanceOpMethod: "{4c814982-938f-4116-bdc1-827bae6a5f71}" # 1$2663
  - IDC_ConditionalSelectAttributeMethod: "{d534a369-321e-4c32-bd7f-8ff2017f191e}" # 1$13038
  - IDC_ConditionalSelectFromInstanceSetMethod: "{ffea8e52-06e5-4e95-8c40-da3ba54ce95f}" # 1$13039